<?xml version="1.0" encoding="UTF-8"?>
<Configuration>
	<properties>
		<property name="name">IMIS</property>
		<property name="pattern">%d{yyyy-MM-dd HH:mm:ss.SSS} | %-5.5p |%-30.30C::%-30.30M:%-5.5L | %msg%n</property>
	</properties>
	<Appenders>
		<Console name="console" target="SYSTEM_OUT">
			<PatternLayout pattern="%d %5p [%c] %m%n" />
		</Console>
		<RollingFile name="file" fileName="C:/logs/${name}.log"
			filePattern="C:/logs/imis/imis.log-%d{yyyy-MM-dd}">
			<PatternLayout>
				<pattern>${pattern}</pattern>
			</PatternLayout>
			<Policies>
				<TimeBasedTriggeringPolicy /><!-- Rotated everyday -->
			</Policies>
			<DefaultRolloverStrategy>
				<Delete>
					<basePath>C:/logs/imis</basePath>
					<maxDepth>1</maxDepth>
					<IfAccumulatedFileCount exceeds="2"/>
				</Delete>
			</DefaultRolloverStrategy>
		</RollingFile>
	</Appenders>
	<Loggers>
		<Logger name="egovframework" level="error" additivity="false">
			<AppenderRef ref="console" />
			<AppenderRef ref="file" />
		</Logger>
		
		<Logger name="egovframework" level="error" additivity="false">
			<AppenderRef ref="console" />
			<AppenderRef ref="file" />
		</Logger>
		<Logger name="org.springframework.security" level="error" additivity="false">
			<AppenderRef ref="console" />
			<AppenderRef ref="file" />
		</Logger>
		<Root level="info">
			<AppenderRef ref="console" />
			<AppenderRef ref="file" />
		</Root>
	</Loggers>
</Configuration>
